package com.pcloud.book.group.dto;

import com.pcloud.common.dto.BaseDto;

import lombok.Data;

/**
 * @描述：个人号用户社群书信息
 * @作者：zhuyajie
 * @创建时间：15:31 2020/1/2
 * @版本：1.0
 */
public class SelfRobotBookGroupDTO extends BaseDto {

    /**
     * 小号名称
     */
    private String wxId;
    /**
     * 小号昵称
     */
    private String wxNickName;

    /**
     * 社群书id
     */
    private Long bookGroupId;
    /**
     * 社群码名称
     */
    private String groupQrcodeName;

    /**
     * 书刊id
     */
    private Long bookId;
    /**
     * 编辑id
     */
    private Long adviserId;

    public String getWxId() {
        return wxId;
    }

    public void setWxId(String wxId) {
        this.wxId = wxId;
    }

    public String getWxNickName() {
        return wxNickName;
    }

    public void setWxNickName(String wxNickName) {
        this.wxNickName = wxNickName;
    }

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public String getGroupQrcodeName() {
        return groupQrcodeName;
    }

    public void setGroupQrcodeName(String groupQrcodeName) {
        this.groupQrcodeName = groupQrcodeName;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }
}
